# Docker startup helper scripts 

`startup.sh` starts/stops/pulls all containers expected to run on a docker host.
The script expects a list of absolut paths to docker-compose.yml files in /opt/docker/startup/conf/$HOSTNAME.

`container-startup.service` is a oneshot systemd service which runs `startup.sh up` after boot. Stop/restart are explicitely not part of the service as those actions are [handled by the docker daemon](https://docs.docker.com/config/containers/start-containers-automatically/).

To install the service run:
```
cp container-startup.service /etc/systemd/system/
systemctl enable container-startup.service
```
